window.Gleam.initSearch([{"doc":"jelly","title":"jelly","content":"# jelly\n\n[![Package Version](https://img.shields.io/hexpm/v/jelly)](https://hex.pm/packages/jelly)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/jelly/)\n[![Latest CI](https://github.com/alexdeane/jelly/actions/workflows/release.yml/badge.svg)](https://github.com/alexdeane/jelly/actions/workflows/release.yml)\n\nJSON parsing library for arbitrary JSON structures\n\n```sh\ngleam add jelly@1\n```\n```gleam\nimport gleam/io\nimport jelly\n\npub fn main() {\n  // {\n  //   &quot;foo&quot;: &quot;bar&quot;\n  // }\n  let assert Ok(json) = jelly.parse(&quot;{ \\&quot;foo\\&quot;: \\&quot;bar\\&quot; }&quot;)\n  let assert Ok(jelly.String(foo)) = jelly.path(json, &quot;foo&quot;)\n  io.print(foo) // &quot;bar&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/jelly&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"jelly","title":"DecodeError","content":"pub type DecodeError {\n  UnexpectedEndOfInput\n  UnexpectedByte(String)\n  UnexpectedSequence(String)\n}\n From gleam/json\n \nUnexpectedEndOfInput\n\n\nUnexpectedByte(String)\n\n\nUnexpectedSequence(String)\n\n\nSynonyms:\njelly.DecodeError\njelly DecodeError","url":"jelly.html#DecodeError"},{"doc":"jelly","title":"JsonType","content":"pub type JsonType {\n  Unknown\n  Null\n  Bool(Bool)\n  Float(Float)\n  Int(Int)\n  String(String)\n  Array(List(JsonType))\n  Object(Dict(String, JsonType))\n}\n Represents a JSON tree of arbitrary schema\n \nUnknown\n\n\nNull\n\n\nBool(Bool)\n\n\nFloat(Float)\n\n\nInt(Int)\n\n\nString(String)\n\n\nArray(List(JsonType))\n\n\nObject(Dict(String, JsonType))\n\n\nSynonyms:\njelly.JsonType\njelly JsonType","url":"jelly.html#JsonType"},{"doc":"jelly","title":"decode","content":"pub fn decode(from value: Dynamic) -&gt; JsonType\n Decodes any Dynamic into a JsonType which can be matched\n on to extract the data. If decoding fails for a given property,\n Unknown is returned.\n \nSynonyms:\njelly.decode\njelly decode","url":"jelly.html#decode"},{"doc":"jelly","title":"parse","content":"pub fn parse(from json: String) -&gt; Result(JsonType, DecodeError)\n\nSynonyms:\njelly.parse\njelly parse","url":"jelly.html#parse"},{"doc":"jelly","title":"path","content":"pub fn path(\n  json: JsonType,\n  path: String,\n) -&gt; Result(JsonType, Nil)\n Select a nested value from a JsonType object\n using a path expression (e.g. &quot;a.b.c[3]&quot;). Returns\n Nil if the path does not lead to a value.\n \nSynonyms:\njelly.path\njelly path","url":"jelly.html#path"},{"doc":"jelly","title":"jelly","content":"","url":"jelly.html"}]);